debDebPkgFileIndex Class Reference
Inheritance diagram for debDebPkgFileIndex:
[legend]
Collaboration diagram for debDebPkgFileIndex:
[legend]

## Public Member Functions

const Type * | GetType () const override APT_PURE
bool | HasPackages () const override
pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const override
| debDebPkgFileIndex (std::string const &DebFile)
std::string | ArchiveInfo (pkgCache::VerIterator const &Ver) const override
Public Member Functions inherited from pkgDebianIndexRealFile
std::string | Describe (bool=false) const override
bool | Exists () const override
unsigned long | Size () const override
std::string | ArchiveURI (std::string const &) const override
| pkgDebianIndexRealFile (std::string const &File, bool const Trusted)
Public Member Functions inherited from pkgDebianIndexFile
bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) override
pkgCache::PkgFileIterator | FindInCache (pkgCache &Cache) const override
| pkgDebianIndexFile (bool const Trusted)
Public Member Functions inherited from pkgIndexFile
virtual std::string | SourceInfo (pkgSrcRecords::Parser const &Record, pkgSrcRecords::File const &File) const
virtual pkgSrcRecords::Parser * | CreateSrcParser () const
bool | IsTrusted () const
| pkgIndexFile (bool const Trusted)

## Static Public Member Functions

static bool | GetContent (std::ostream &content, std::string const &debfile)

## Protected Member Functions

std::string | GetComponent () const override
std::string | GetArchitecture () const override
uint8_t | GetIndexFlags () const override
bool | OpenListFile (FileFd &Pkg, std::string const &FileName) override
APT_HIDDEN pkgCacheListParser * | CreateListParser (FileFd &Pkg) override
Protected Member Functions inherited from pkgDebianIndexRealFile
std::string | IndexFileName () const override
std::string | GetProgressDescription () const override
bool | OpenListFile (FileFd &Pkg, std::string const &FileName) override

## Additional Inherited Members

Protected Attributes inherited from pkgDebianIndexRealFile
std::string | File
Protected Attributes inherited from pkgIndexFile
bool | Trusted

## Member Function Documentation

## ArchiveInfo()

std::string ArchiveInfo | ( | pkgCache::VerIterator const & | Ver | ) | const

nodiscard override virtual

Reimplemented from pkgIndexFile.

## CreateListParser()

pkgCacheListParser * CreateListParser | ( | FileFd & | Pkg | ) |

override protected virtual

Reimplemented from pkgDebianIndexFile.

## FindInCache()

pkgCache::PkgFileIterator FindInCache | ( | pkgCache & | Cache | ) | const

override virtual

Reimplemented from pkgIndexFile.

## GetArchitecture()

std::string GetArchitecture | ( |  | ) | const

nodiscard override protected virtual

Implements pkgDebianIndexFile.

## GetComponent()

std::string GetComponent | ( |  | ) | const

nodiscard override protected virtual

Implements pkgDebianIndexFile.

## GetContent()

bool GetContent | ( | std::ostream & | content,
|  | std::string const & | debfile )

static

get the control (file) content of the deb file

Parameters

  [out] | content | of the control file
  | debfile | is the filename of the .deb-file

Returns
  true if successful, otherwise false.

## GetIndexFlags()

uint8_t GetIndexFlags | ( |  | ) | const

nodiscard override protected virtual

Implements pkgDebianIndexFile.

## GetType()

const pkgIndexFile::Type * GetType | ( |  | ) | const

nodiscard override virtual

Implements pkgIndexFile.

## HasPackages()

bool HasPackages | ( |  | ) | const

inline nodiscard override virtual

Implements pkgIndexFile.

## OpenListFile()

bool OpenListFile | ( | FileFd & | Pkg,
|  | std::string const & | FileName )

override protected virtual

Implements pkgDebianIndexFile.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debindexfile.h
- apt-pkg/deb/debindexfile.cc